<?php 
/**
 * @package: 	obMassSecCat - Mass Sections & Categories
 * @version: 	1.5.3
 * @created: 	April 2010.
 * @updated: 	2010.08.14
 * @copyright:	Copyright (C) 2010 foobla.com. All right reserved.
 * @author:  	foobla.com
 * @license: 	GNU/GPL http://www.gnu.org/copyleft/gpl.html
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );
jimport( 'joomla.plugin.plugin' );
jimport( 'joomla.filter.filteroutput' );

JPlugin::loadLanguage('plg_system_obmasssc');

/*if($option=='com_sections' OR ($option == 'com_categories' && $section =='com_content'))
	; // do nothing
else
	return ; // ignore the plugin
*/
global $mainframe;
$db 		= &JFactory::getDBO();
$user 		= &JFactory::getUser();
$doc 		=  &JFactory::getDocument(); 
$option 	= JRequest::getVar('option');
$section	= JRequest::getVar('section');

// $doc->addStyleSheet(JURI::root().'plugins'.DS.'system'.DS.'obmasssc/obmasssc.css');  
$doc->addStyleSheet(JURI::root().'plugins/system/obmasssc/obmasssc.css'); //modif joachim -compatible IE / FF
// JHTML::script('obmasssc.js','plugins'.DS.'system'.DS.'obmasssc'.DS);
//JHTML::script('obmasssc.js','plugins'.DS.'system'.DS.'obmasssc'.DS);//modif joachim 

$doc->addScript(JURI::root().'plugins/system/obmasssc/obmasssc.js');
$published = JRequest::getVar('published');  

// com_sections
if($option == 'com_sections') {
	$string = JRequest::getVar('sec_name');
	if($string != "") {
		$stringArr = explode("\n",$string);
		for($i = 0; $i<count($stringArr); $i++) {
			$secNameToArray = explode("|",$stringArr[$i]);
			$secName		=  addslashes($secNameToArray[0]);//modification joachim

			$secAlias		= JFilterOutput::stringURLSafe($secName);
			if(trim(str_replace('-','',$secAlias)) == '') {
				$datenow =& JFactory::getDate();
				$secAlias = $datenow->toFormat("%Y-%m-%d-%H-%M-%S");
			}

			if(count($secNameToArray)>1) {
				$secDesc = addslashes($secNameToArray[1]);//modification joachim
			} else {
				$secDesc = "";
			}
			$query = "
				INSERT INTO #__sections(title,alias,description,scope,published)
				VALUE('$secName','$secAlias','$secDesc','content',$published)
			";
			$db->setQuery($query);
			$db->query();
		} // end for
		$mainframe->redirect("index.php?option=com_sections&scope=content","Saved successfully!");
	} // end if
	#echo "123";
	FormSection();
} // end if

// com_categories
if($option == 'com_categories' && $section =='com_content') {
	$string	= JRequest::getVar('cat_name');
	$catId 	= JRequest::getVar('sec_id');
	
	$query 	= "
		SELECT id,title 
		FROM #__sections 
		WHERE scope = 'content'
	";
	$db->setQuery($query);
	$listSection = $db->loadObjectList();

	if($string != "") {
		$stringArr = explode("\n",$string);
		
		for($i = 0; $i<count($stringArr); $i++) {
			$catNameToArray = explode("|",trim($stringArr[$i]));	//modification schwarzy2
			
			$catName		=  addslashes($catNameToArray[0]);//modification joachim
			
			$catAlias 		= JFilterOutput::stringURLSafe(trim($catName));
			
			if(trim(str_replace('-','',$catAlias)) == '') {
				$datenow =& JFactory::getDate();
				$catAlias = $datenow->toFormat("%Y-%m-%d-%H-%M-%S");
			}

			if(count($catNameToArray)>1) {
				$catDesc = addslashes($catNameToArray[1]);//modification joachim
			} else {
				$catDesc = "";
			}
			$query = "
				INSERT INTO #__categories(title,alias,description,section,published)
				VALUE('$catName','$catAlias','$catDesc','$catId',$published)
			";
			$db->setQuery($query);
			$db->query();
		} // end for
		$mainframe->redirect("index.php?option=com_categories&section=com_content","Saved successfully!");	
	} // end if
	FormCategory($listSection);
} // end if

/**
 * Mass Sections Form
 */
function FormSection() {
	global $mainframe;	
	
	$html  ='<div id="knt_new_sec" style="display:none;">';
	$html .='<div align="center"><b>'.JText::_("CREATE_NEW_SESIONS").'</b></div>';
	$html .='<form name = "reatesec" method="post" action="">';
    $html .='<table class="admintable"><tbody><tr><td valign="top">'.JText::_("NAME").':</td>';
	$html .='<td>';
	$html .='<textarea name="sec_name" id="knt_sec_name" rows="10" cols="50"/></textarea></td>';
	$html .='</tr>';
	$html .='<tr><td>'.JText::_("PUBLISHED").'</td>';
	$html .='<td>';
	$html .='<input type = "radio" name = "published" value = "0">'.JText::_("NO");
	$html .='<input type = "radio" name = "published" value = "1" checked>'.JText::_("YES");
	$html .='</td>';
	$html .='</tr>';
	$html .='<tr>';
	$html .='<td></td>';
	$html .='<td>';
	$html .='<input type="button" id="knt_bt_new_sec" onclick="ktnNewSec();" value="'.JText::_("CREATE").'"/>&nbsp;<input type="button" value="'.JText::_("CANCEL").'" onclick="ntkSecCancel();"/>';
	$html .='</td>';
	$html .='</tr>';
	$html .='</tbody></table>';
	$html .='<div id="res_newsec" style="display: none;"> </div>';
	$html .='</form>';
	$html .='</div>';
	$jvascript  = '<script type="text/javascript">';
	$jvascript .= 'window.onload = function(){';
	$jvascript .= 'var nel = document.createElement("div");';
	$jvascript .= "  nel.innerHTML='$html';";
	$jvascript .= "document.body.appendChild(nel);";
	$jvascript .= 'var temp = '.' \'<a href = "#" onclick = "showPoppUp();"><span title="New" class="icon-32-new"></span>'.JText::_("ADD_ANY_SECTIONS").'</a>\';';
	$jvascript .= 'var newcell = $("toolbar-publish").parentNode.insertCell(0);';
	$jvascript .= 'newcell.innerHTML = temp;}</script>';
	$mainframe->addCustomHeadTag($jvascript);
} // end FormSection

/**
 * Mass Categories Form
 */
function FormCategory($listSection) { 
	global $mainframe;
	$html = '<div id="knt_new_sec" style="display:none;">';
	$html .= '<div align="center"><b>'.JText::_("CREATE_NEW_CATEGORIES").'</b></div>';
	$html .='<form name = "reatesec" method="post" action="">';
	$html .='<table class="admintable"><tbody><tr><td valign="top">'.JText::_("NAME").':</td>';
	$html .='		<td>';
	$html .='			<textarea name="cat_name" id="knt_sec_name" rows="10" cols="50"/></textarea></td>';
	$html .='	</tr>';
	$html .='	<tr>';
	$html .='	<td>'.JText::_("SELECT_SECTION").'</td>';
	$html .='		<td>';
	$html .='			<select name = "sec_id">';
	
	foreach ($listSection as $value) {
		// thanks DDP Agency for this fix
		$title = addslashes($value->title);//modif joachim
		$title = str_replace(array("\r\n","\n\r","\r","\n"),'',$title) ;
		$html .= "<option value = \"$value->id\">{$title}</option>";
	}
	
	$html .='			</select>';
	$html .='		</td>';
	$html .='	</tr>';
	$html .='	<tr>';
	$html .='	<td>'.JText::_("PUBLISHED").'</td>';
	$html .='		<td>';
	$html .='			<input type = "radio" name = "published" value = "0">'.JText::_("NO");
	$html .='			<input type = "radio" name = "published" value = "1" checked>'.JText::_("YES");
	$html .='		</td>';
	$html .='	</tr>';
	$html .='	<tr>';
	$html .='		<td colspan="2" align="center">';
	$html .='			<input type="button" id="knt_bt_new_sec" onclick="ktnNewCat();" value="'.JText::_("CREATE").'"/>&nbsp;<input type="button" value="'.JText::_("CANCEL").'" onclick="ntkSecCancel();"/>';
	$html .='		</td>';
	$html .='	</tr>';
	$html .='	</tbody></table>';
	$html .='	<div id="res_newsec" style="display: none;"> </div>';
	$html .='</form>';
	$html .='</div>';
	$jvascript  = '<script type="text/javascript">';
	$jvascript .= 'window.onload = function(){';
	$jvascript .= 'var nel = document.createElement("div"); var strt = null;';
	$jvascript .= "nel.innerHTML='$html';";
	$jvascript .= 'document.body.appendChild(nel);';
	$jvascript .= 'var temp = '.'\'<a href = "#" onclick = "showPoppUp();"><span title="New" class="icon-32-new"></span>'.JText::_("ADD_ANY_CATEGORIES").'</a>\';';
	$jvascript .= 'var newcell = $("toolbar-publish").parentNode.insertCell(0);';
	$jvascript .= 'newcell.innerHTML = temp;}</script>';
	$mainframe->addCustomHeadTag($jvascript);
} // end FormCategory
?>
